C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.Organizations.Roles;
public partial class Examples
{
public async Task Example() {
var client = new ManagementApiClient(
token: "<token>",
clientOptions: new ClientOptions { BaseUrl = "https://{YOUR_DOMAIN}/api/v2" }
);
await client.Organizations.Roles.Groups.ListAsync(
organizationId: "organization_id",
roleId: "role_id",
request: new ListOrganizationRoleGroupsRequestParameters {
From = "from",
Take = 1
}
);
}
}
package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
import com.auth0.client.mgmt.organizations.roles.types.ListOrganizationRoleGroupsRequestParameters;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.domain("{YOUR_DOMAIN}")
.token("<token>")
.build();
client.organizations().roles().groups().list(
"organization_id",
"role_id",
ListOrganizationRoleGroupsRequestParameters
.builder()
.from("from")
.take(1)
.build()
);
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Wrapper\ManagementClient;
use Auth0\SDK\API\Management\Wrapper\ManagementClientOptions;
use Auth0\SDK\API\Management\Organizations\Roles\Groups\Requests\ListOrganizationRoleGroupsRequestParameters;
$client = new ManagementClient(new ManagementClientOptions(
domain: '{YOUR_DOMAIN}',
token: '<token>',
));
$client->organizations->roles->groups->list(
'organization_id',
'role_id',
new ListOrganizationRoleGroupsRequestParameters([
'from' => 'from',
'take' => 1,
]),
);
from auth0.management import ManagementClient
client = ManagementClient(
domain="{YOUR_DOMAIN}",
token="<token>",
)
client.organizations.roles.groups.list(
organization_id="organization_id",
role_id="role_id",
from="from",
take=1,
)
require "auth0"
client = Auth0::Management.new(token: "<token>", base_url: "https://{YOUR_DOMAIN}/api/v2")
client.organizations.roles.groups.list(
organization_id: "organization_id",
role_id: "role_id",
from: "from",
take: 1
)
curl --request GET \
--url https://{tenantDomain}/api/v2/organizations/{organization_id}/roles/{role_id}/groups \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}/api/v2/organizations/{organization_id}/roles/{role_id}/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{tenantDomain}/api/v2/organizations/{organization_id}/roles/{role_id}/groups"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"groups": [
{
"id": "<string>",
"name": "<string>",
"external_id": "<string>",
"connection_id": "<string>",
"organization_id": "<string>",
"tenant_name": "<string>",
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"next": "<string>"
}{
"message": "<string>",
"statusCode": "<unknown>",
"error": "<unknown>"
}{
"message": "<string>",
"statusCode": "<unknown>",
"error": "<unknown>"
}{
"message": "<string>",
"statusCode": "<unknown>",
"error": "<unknown>"
}{
"message": "<string>",
"statusCode": "<unknown>",
"error": "<unknown>"
}{
"message": "<string>",
"statusCode": "<unknown>",
"error": "<unknown>"
}List the groups assigned to a role in the context of an organization
Retrieve the list of groups assigned to a role in the context of an organization.
GET
https://{tenantDomain}/api/v2
/
organizations
/
{organization_id}
/
roles
/
{role_id}
/
groups
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.Organizations.Roles;
public partial class Examples
{
public async Task Example() {
var client = new ManagementApiClient(
token: "<token>",
clientOptions: new ClientOptions { BaseUrl = "https://{YOUR_DOMAIN}/api/v2" }
);
await client.Organizations.Roles.Groups.ListAsync(
organizationId: "organization_id",
roleId: "role_id",
request: new ListOrganizationRoleGroupsRequestParameters {
From = "from",
Take = 1
}
);
}
}
package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
import com.auth0.client.mgmt.organizations.roles.types.ListOrganizationRoleGroupsRequestParameters;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.domain("{YOUR_DOMAIN}")
.token("<token>")
.build();
client.organizations().roles().groups().list(
"organization_id",
"role_id",
ListOrganizationRoleGroupsRequestParameters
.builder()
.from("from")
.take(1)
.build()
);
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Wrapper\ManagementClient;
use Auth0\SDK\API\Management\Wrapper\ManagementClientOptions;
use Auth0\SDK\API\Management\Organizations\Roles\Groups\Requests\ListOrganizationRoleGroupsRequestParameters;
$client = new ManagementClient(new ManagementClientOptions(
domain: '{YOUR_DOMAIN}',
token: '<token>',
));
$client->organizations->roles->groups->list(
'organization_id',
'role_id',
new ListOrganizationRoleGroupsRequestParameters([
'from' => 'from',
'take' => 1,
]),
);
from auth0.management import ManagementClient
client = ManagementClient(
domain="{YOUR_DOMAIN}",
token="<token>",
)
client.organizations.roles.groups.list(
organization_id="organization_id",
role_id="role_id",
from="from",
take=1,
)
require "auth0"
client = Auth0::Management.new(token: "<token>", base_url: "https://{YOUR_DOMAIN}/api/v2")
client.organizations.roles.groups.list(
organization_id: "organization_id",
role_id: "role_id",
from: "from",
take: 1
)
curl --request GET \
--url https://{tenantDomain}/api/v2/organizations/{organization_id}/roles/{role_id}/groups \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}/api/v2/organizations/{organization_id}/roles/{role_id}/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{tenantDomain}/api/v2/organizations/{organization_id}/roles/{role_id}/groups"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"groups": [
{
"id": "<string>",
"name": "<string>",
"external_id": "<string>",
"connection_id": "<string>",
"organization_id": "<string>",
"tenant_name": "<string>",
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"next": "<string>"
}{
"message": "<string>",
"statusCode": "<unknown>",
"error": "<unknown>"
}{
"message": "<string>",
"statusCode": "<unknown>",
"error": "<unknown>"
}{
"message": "<string>",
"statusCode": "<unknown>",
"error": "<unknown>"
}{
"message": "<string>",
"statusCode": "<unknown>",
"error": "<unknown>"
}{
"message": "<string>",
"statusCode": "<unknown>",
"error": "<unknown>"
}Autorisations
bearerAuthoAuth2ClientCredentials
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Paramètres de chemin
ID of the organization.
ID of the role.
Paramètres de requête
Optional Id from which to start selection.
Number of results per page. Defaults to 50.
Plage requise:
1 <= x <= 100⌘I